Skip to main content
GET
Get CICD vulnerabilities grouped by rule ID

Path Parameters

projectId
string<uuid>
required

Query Parameters

page
number
default:1

Page number

Example:

1

perPage
number
default:10

Page size

Example:

10

sort
enum<string>
default:occurrenceCount

Sort field

Available options:
occurrenceCount,
highestSeverity,
lastSeen,
currentSeverity,
currentPriority,
createdAt
Example:

"occurrenceCount"

order
enum<string>
default:DESC

Sort order

Available options:
ASC,
DESC,
asc,
desc
Example:

"DESC"

severityFilter
enum<string>[]

Filter by severity (repeat the param for multiple values, e.g. severityFilter=critical&severityFilter=high)

Available options:
critical,
high,
medium,
low
statusFilter
enum<string>[]

Filter by status (repeat the param for multiple values, e.g. statusFilter=to_verify&statusFilter=confirmed)

Available options:
to_verify,
resolved,
confirmed,
ignored
priorityFilter
enum<string>[]

Filter by priority (repeat the param for multiple values, e.g. priorityFilter=critical_urgent&priorityFilter=urgent)

Available options:
critical_urgent,
urgent,
normal,
low,
very_low
searchQuery
string

Search query

Example:

"SQL Injection"

branch
string

Filter by branch

Example:

"main"

hasAutofix
boolean

Filter by autofix availability: true = only with autofix, false = only without autofix, omit = all

Example:

true

Response

Grouped CICD vulnerabilities

projectId
string<uuid>
required

Project ID

projectName
string
required

Project name

Example:

"my-project"

page
number
required

Current page number

Example:

1

limit
number
required

Page size

Example:

10

totalPages
number
required

Total number of pages

Example:

5

sort
string
required

Sort field

Example:

"occurrenceCount"

order
string
required

Sort order

Example:

"DESC"

severity
string[]
required

Applied severity filters

status
string[]
required

Applied status filters

priority
string[]
required

Applied priority filters

groupedVulnerabilities
object[]
required

Grouped vulnerabilities

total
number
required

Total number of groups

Example:

50

totalOccurrences
number
required

Total number of occurrences across all groups

Example:

200

scanProjectInfo
object

Scan project info

vulnCountByType
object

Vulnerability count by type

isProjectParsed
boolean

Whether project has been parsed

autofixCountByType
object

Autofix count by type